Subject: Re: [sasl] WLGC summary for SCRAM and GS2

From: Tom Yu <[email-masked]>
Date: Tue, 01 Sep 2009 22:29:19 -0400

Jeffrey Hutzelman <[email-masked]> writes:

> --On Friday, August 21, 2009 11:14:12 AM -0500 Nicolas Williams 
> <[email-masked]> wrote:
>
>> On Fri, Aug 21, 2009 at 11:41:31AM -0400, Jeffrey Hutzelman wrote:
>>> Yes, I agree that's what we meant, mostly.  IANA should not ever
>>> register  mechanism names which could confilict with OID-derived names.
>>> However, I  thought we wanted to allow for the possibility of
>>> registering friendly GS2  mechanism names for future GSSAPI mechanisms,
>>> provided the registration  happens when the mechanism is defined.
>>
>> We do allow for friendly GS2 mechanism names for future GSSAPI
>> mechanisms.  But there's nothing much for the GS2 RFC to say about that,
>> unless...
>>
>> ... we want to make sure that the registry says whether any SASL
>> mechanism that doesn't start with GS2- is a GS2 mechanism nonetheless.
>> How would we actually achieve this?  Wouldn't that make the GS2 document
>> update the base SASL spec by changing the SASL mechanism name
>> registration rules?
>
> Nevermind; I was confused.  Friendly names wouldn't start with "GS2-"; that 
> prefix is reserved for OID-derived names.  In which case IANA shouldn't 
> ever assign names with that prefix; this document reserves them all to 
> avoid conflicts with the algorithmic names.

...except the GS2 document specifies GS2-KRB5, etc., which are clearly
not OID-derived names and have a GS2- prefix.  Are we making the
GS2-KRB5 mech a special case?

---

From: Nicolas Williams <[email-masked]>
Date: Tue, 1 Sep 2009 23:38:43 -0500

> GS2-KRB5 mech a special case?

Yes.